Subject: Re: Open parser issues

From: [email-masked] ( Bob Ross)
Date: Tue, 30 May 95 09:15 PDT

Ron:

Commenting out the [Pin Numbers] entries is one way to get Segmentation faults
on a Sun Unix system.  The same file is attached, but with pin 5 commented
out.

Bob Ross,
Interconnectix, Inc.

> Hello Bob,

> Thanks for the feedback.

> A couple of open issues:

> [1]  Fixed bug when Number_of_Pins < actual Pin_Numbers list count
> 	(mtx.c:323:assertion failed).  However, you also mentioned a 
> 	segmentation fault not associated with an assertion.  I have so
> 	far been unable to locate (still looking, Bounds Checker is not as
> 	slick as Purify).  If you have an ibs file that demos this 
> 	failure, I would appreciate a copy of the relevant section.

> [2]  "Banded_matrix last rows must contain fewer entries" - Please let me
> 	know if you get consensus on a change to this area.

> [3]  "Pin" to "Pin_Numbers" correlation - Again, please let me know if 
> 	consensus is achieved on a change.

> thanx, ron

|***************************************************************
|
[IBIS Ver]        2.1
[File Name]       pkg.ibs
[File Rev]        0.1
[Date]            May 25, 1995
[Source]          Interconnectix Inc.
[Disclaimer]      Provided for modeling purposes only.
                  Results are not guaranteed.
|
|***************************************************************
|
[Component]      PACKAGE-TEST 
[Manufacturer]   Test File
[Package]
| variable      typ             min             max
R_pkg           0.0m            NA              NA
L_pkg           0.0nH           NA              NA
C_pkg           0.0pF           NA              NA
|
|***************************************************************
|
[Pin]           signal_name     model_name      R_pin   L_pin   C_pin
A1              P_1             NC
2               P_2             NC
5               P_3             NC
A4               P_4             NC       | There is nothing stated in the
| 3              P_5             NC       | Spec regarding correlating
                                          | [Pin] entries and [Pin Numbers]
                                          | entries by number of pins or by
                                          | actual pin number correlation.
                                          | NO error is reported.
                                          | I assume the order can differ. 
[Package Model] test

[Define Package Model]  test
[Manufacturer]          anyone
[OEM]                   this file shows
[Description]           some failed test cases

[Number of Pins]        5                  | get CRASH if changed to 1

[Pin Numbers]
A1
2
3
4
| 5                                        | Commenting out [Pin Numbers]
                                           | entries can produce Segmentation
                                           | faults

[Model Data] 
[Inductance Matrix]      Banded_matrix     | Success!
[Bandwidth]              2
[Row]   A1
.01 .01 .01
[Row]   2
.01 .01 .01
[Row]   3
.01 .01 .01
[Row]   4
.01 .01                | I did not expect this triangle matrix for the last
[Row]   5              | terms, but this is correct according to the Spec.
.01                    | Otherwise, parser will give an error.
                       |
                       | However, I believe the Spec is wrong.  There is no
                       | way, for example, to describe the coupling of a 
                       | 100 pin Quad Flat Pack with from pins 99 and 100 to
                       | pin 1 (and visa-versa) when using a bandwidth of 2
                       | and pin 1 is centered on one edge.

[Capacitance Matrix]    Full_matrix        | Success!
[Row]   A1
.01 .01 .01 .01 .01    
[Row]   2
.01 .01 .01 .01  
[Row]   3
.01 .01 .01
[Row]   4
.01 .01
[Row]   5
.01    

[Resistance Matrix]     Sparse_matrix
[Row]   A1
A1  .01                | Get Failure here, but if A1 changed to 1, get 
2   .01                | Incorrect Success.
[Row]   2 
3   .01    
[Row]   3
5   .01
3   .01
6   .01                | Error Message text is not correct here.

[End Model Data]
[End Package Model]
|
[End]